package cn.iocoder.yudao.module.energy.convert.record;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.energy.controller.admin.record.vo.HydrogenRecordExcelVO;
import cn.iocoder.yudao.module.energy.controller.admin.record.vo.HydrogenRecordRespVO;
import cn.iocoder.yudao.module.energy.controller.admin.record.vo.HydrogenRecordSaveReqVO;
import cn.iocoder.yudao.module.energy.dal.dataobject.record.EnergyHydrogenRecordDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface HydrogenRecordConvert {
    HydrogenRecordConvert INSTANCE = Mappers.getMapper(HydrogenRecordConvert.class);
    EnergyHydrogenRecordDO convert(HydrogenRecordSaveReqVO bean);
    HydrogenRecordRespVO convert(EnergyHydrogenRecordDO bean);
    PageResult<HydrogenRecordRespVO> convertPage(PageResult<EnergyHydrogenRecordDO> page);
    List<HydrogenRecordExcelVO> convertExcelList(List<EnergyHydrogenRecordDO> list);
}
